## emacs-dashboard 1.7.0

=== Makefile ===
export EMACS ?= emacs
export BATCH = --batch -q -l .emacs/init.el

ELLP := $(shell find . -regex '.*elisp-lint-[0-9]+\.[0-9]+')
ELS = $(filter-out emacs-dashboard-autoloads.el,$(wildcard *.el))
OBJECTS = $(ELS:.el=.elc)
BACKUPS = $(ELS:.el=.el~)

.PHONY: version lint clean cleanelpa

.elpa:
	$(EMACS) $(BATCH)
	touch .elpa

version: .elpa
	$(EMACS) $(BATCH) --version

lint: .elpa
	$(EMACS) $(BATCH) -l $(ELLP)/elisp-lint.el -f elisp-lint-files-batch --no-package-lint $(ELS)

clean:
	rm -f $(OBJECTS) $(BACKUPS) emacs-dashboard-autoloads.el*

cleanelpa: clean
	rm -rf .emacs/elpa .emacs/quelpa .emacs/.emacs-custom.el* .elpa

=== debian/changelog ===
emacs-dashboard (1.7.0-2) unstable; urgency=medium

  * add Rules-Requires-Root=no

 -- Martin <debacle@debian.org>  Sun, 22 Aug 2021 00:07:43 +0000

emacs-dashboard (1.7.0-1) unstable; urgency=medium

  * Initial package (Closes: #990811)

 -- Martin <debacle@debian.org>  Mon, 09 Aug 2021 21:29:08 +0000

=== debian/control ===
Source: emacs-dashboard
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-elpa,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/emacs-dashboard/emacs-dashboard
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-dashboard.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-dashboard

Package: elpa-emacs-dashboard
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
Recommends: emacs,
	elpa-projectile,
Enhances: emacs
Description: extensible emacs startup screen showing you what's most important
 Features
 1. Displays an Emacs banner
 2. Recent files
 3. Bookmarks list
 4. Recent projects list (Depends on `projectile` or `project.el` package)
 5. Org mode agenda
 6. Register list

=== debian/rules ===
#!/usr/bin/make -f

ELPA_NAME=dashboard
export ELPA_NAME

%:
	dh $@ --with elpa

## emacs-dashboard 1.8.0

=== Makefile ===
EMACS ?= emacs
EASK ?= eask

.PHONY: clean checkdoc lint package install compile test

ci: clean package install compile

package:
	@echo "Packaging..."
	$(EASK) package

install:
	@echo "Installing..."
	$(EASK) install

compile:
	@echo "Compiling..."
	$(EASK) compile

test:
	@echo "Testing..."
	$(EASK) test ert ./test/*.el

test-activate: package install
	$(EASK) emacs --batch -l ./test/activate.el

checkdoc:
	@echo "Run checkdoc..."
	$(EASK) lint checkdoc

lint:
	@echo "Run package-lint..."
	$(EASK) lint package

clean:
	$(EASK) clean all

=== debian/changelog ===
emacs-dashboard (1.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1041235, #1092731).
  [ Debian Janitor <janitor@jelmer.uk>  2022-10-23 ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Add debian/watch file, using github.
  * Update standards version to 4.6.2, no changes needed.

 -- Martin <debacle@debian.org>  Sat, 11 Jan 2025 09:56:21 +0000

emacs-dashboard (1.7.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:17:24 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	dh-elpa,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/emacs-dashboard/emacs-dashboard
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-dashboard.git
@@ -19,10 +19,11 @@
 	elpa-projectile,
 Enhances: emacs
 Description: extensible emacs startup screen showing you what's most important
- Features
- 1. Displays an Emacs banner
- 2. Recent files
- 3. Bookmarks list
- 4. Recent projects list (Depends on `projectile` or `project.el` package)
- 5. Org mode agenda
- 6. Register list
+ Features:
+  1. Displays an Emacs banner
+  2. Recent files
+  3. Bookmarks list
+  4. Recent projects list
+     (Depends on `projectile` or `project.el` package)
+  5. Org mode agenda
+  6. Register list

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(\d\S+)\.tar\.gz/emacs-dashboard-$1\.tar\.gz/ https://github.com/emacs-dashboard/emacs-dashboard/tags .*\/(\d\S+)\.tar\.gz
